unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Dialogs, StdCtrls, EditBtn, FileUtil;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnFindAllFiles: TButton;
    CheckBox1SubFolders: TCheckBox;
    ComboBox1FileTypes: TComboBox;
    DirectoryEdit1SearchPath: TDirectoryEdit;
    Label1: TLabel;
    ListBox1: TListBox;
    procedure btnFindAllFilesClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
begin
  DirectoryEdit1SearchPath.Text := GetCurrentDir;
  Label1.Caption := '0 Files';
end;

procedure TForm1.btnFindAllFilesClick(Sender: TObject);
var
  Time: Integer;
begin
  try
    Screen.BeginWaitCursor;
    ListBox1.Clear;
    Time := GetTickCount64;
    FindAllFiles(ListBox1.Items, DirectoryEdit1SearchPath.Text, ComboBox1FileTypes.Text, CheckBox1SubFolders.Checked);
    Caption := 'FindAllFiles in ' + (GetTickCount64 - Time).ToString + ' ms';
  finally
    Screen.EndWaitCursor;
  end;
  Label1.Caption := ListBox1.Items.Count.ToString + ' Files';
end;

end.
